[![Release](https://img.shields.io/npm/v/remotestorage-module-chat-messages.svg?style=flat)](https://www.npmjs.com/package/remotestorage-module-chat-messages)

# remoteStorage Module: Chat Messages

Stores chat messages in daily archive documents.

## Usage

Open a daily archive and write messages to it:

```js
const RemoteStorage = require("remotestoragejs");
const ChatMessages  = require("remotestorage-module-chat-messages");
const remoteStorage = new RemoteStorage({ modules: [ ChatMessages ] });

const archive = new remoteStorage.chatMessages.DailyArchive({
  service: {
    protocol: 'IRC',
    domain: 'irc.libera.chat'
  },
  channelName: '#kosmos',
  date: new Date(),
  isPublic: true // Channel logs will be written to public folder
});

const messages = [
  { "date": "2015-06-05T17:35:28.454Z", "user": "jimmy", "text": "knock knock" },
  { "date": "2015-06-05T17:36:05.123Z", "user": "walter", "text": "who's there?" }
];

archive.addMessages(messages);
```

See the inline source code documentation (JSDoc) for usage details and function
arguments. For a real-world integration example, see
[hubot-remotestorage-logger](https://github.com/67P/hubot-remotestorage-logger/).

## Support, bugs, feedback, questions

Come and chat with us: https://wiki.kosmos.org/Main_Page#Chat
